> ## Documentation Index
> Fetch the complete documentation index at: https://api.amlyze.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Move operation to archive

> Move operation to archive. Operations in archive are not included in retro monitoring processes.



## OpenAPI

````yaml /api/openapi_integrations.json delete /api/integration-services/v1/discard-operations
openapi: 3.0.1
info:
  title: Integration Services API
  description: API for retrieving customer information by unique id.
  version: '1.0'
servers:
  - url: https://{{baseUrl}}
security:
  - bearerAuth: []
tags: []
paths:
  /api/integration-services/v1/discard-operations:
    delete:
      tags:
        - integration-services
      summary: Move operation to archive
      description: >-
        Move operation to archive. Operations in archive are not included in
        retro monitoring processes.
      operationId: discardOperationsApiResultResponseEntity
      parameters:
        - name: extId
          description: External identifier of operation.
          in: query
          required: true
          schema:
            maxLength: 255
            type: string
        - name: businessUnit
          description: >-
            Mandatory field for clients utilizing a multi-organizational
            solution. It serves to specify the unique identifier for the
            business unit.
          in: query
          required: false
          schema:
            maxLength: 255
            type: string
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/DiscardOperationsApiResult'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DiscardOperationsApiErrorResponse'
              examples:
                missing_ext_id:
                  description: missing operation external id
                  summary: missing extId
                  value:
                    timestamp: '2026-03-27T07:26:24.084Z'
                    status: 400
                    error: Bad Request
                    path: /api/integration-services/v1/discard-operations
                business_unit_issue:
                  summary: issues with business unit
                  value:
                    errors:
                      - code: BAD_REQUEST
                        description: Business unit does not exist 'sandbox'
components:
  schemas:
    DiscardOperationsApiResult:
      type: object
      properties: {}
    DiscardOperationsApiErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ErrorMessage'
    ErrorMessage:
      type: object
      properties:
        code:
          type: string
          description: Error code.
          example: BAD_REQUEST
        description:
          type: string
          description: error description
          example: RegisteredFrom must be before registeredTill
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````